net.fortuna.ical4j.util

## Class UidGenerator

- java.lang.Object
- - net.fortuna.ical4j.util.UidGenerator

    public class UidGenerator
    extends Object

$Id$ Created on 11/03/2007 Generates `Uid` properties in a similar fashion to that recommended in section 4.8.4.7 of the specification.

Author:
  Ben Fortuna

### Constructor Summary

Constructors
Constructor and Description
`UidGenerator(HostInfo hostInfo, String pid)`
`UidGenerator(String pid)`

### Method Summary

Methods
`Uid` `generateUid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UidGenerator

    public UidGenerator(String pid)
                 throws SocketException

Parameters:
  `pid` - a unique process identifier for the host machine
Throws:
  `SocketException` - where host information cannot be retrieved

#### UidGenerator

    public UidGenerator(HostInfo hostInfo,
                String pid)

Parameters:
  `hostInfo` - custom host information
  `pid` - a unique process identifier for the host machine

### Method Detail

#### generateUid

    public Uid generateUid()

Returns:
  a unique component identifier